jQuery( document ).ready( function($) {

    /*********************
		:: Promocode
    ***********************/

	jQuery( document ).on( 'click', '.promocode-btn', function() {
        var form_id          = jQuery( this ).attr( 'data-fid' );
		var form             = jQuery( '#' + form_id );
        var promocode_action = jQuery( '#' + form_id + ' .promocode_action' ).val();
        var promocode_nonce  = jQuery( '#' + form_id + ' .promocode_nonce' ).val();
        var promocode        = jQuery( '#' + form_id + ' .promocode').val();

        if ( promocode == 'Promocode' ) {
            promocode = '';
        }

        jQuery.ajax({
            type       : 'POST',
			url        : cdpc.ajaxurl,
			data       : { action:promocode_action, promocode_nonce:promocode_nonce, promocode:promocode },
            dataType   : 'json',
			beforeSend : function() {
                jQuery( '#' + form_id + ' .spinimg' ).html( '<span class="cd-loader"></span>' );
            },
			success    : function( responce ) {
				jQuery( '#' + form_id + ' .promocode-msg' ).removeClass( 'error_msg' );
				jQuery( '#' + form_id + ' .spinimg' ).html('');
                if ( responce.status == 'success' ) {
                    form_data = '<input type="hidden" name="promocode" value="asasas' + promocode + '" />';
                    jQuery( '<form>', {
                        "html"   : form_data,
                        "action" : responce.url,
                        "method" : 'POST'
                    }).appendTo( document.body ).submit();
				} else {
					jQuery( '#' + form_id + ' .promocode-msg' ).show();
				    jQuery( '#' + form_id + ' .promocode-msg' ).html( responce.msg );
				}
			},
			error      : function( responce ) {
				jQuery( '#' + form_id + ' .promocode-msg' ).addClass( 'error_msg' );
                jQuery( '#' + form_id + ' .promocode-msg' ).html( responce.msg );
				jQuery( '#' + form_id + ' .promocode-msg' ).html( msg );
				jQuery( '#' + form_id + ' .promocode-msg' ).show();
			}
		});
        return false;
	});
	
	// Promocode Print Shortcode
	jQuery( document ).on( 'click', '.pgs_print_btn', function () {
		var contents   = jQuery( '#' + jQuery( this ).data( 'print_id' ) ).html();
		var frame1     = jQuery('<iframe />');
		frame1[0].name = 'frame1';

		frame1.css({ "position": "absolute", "top": "-1000000px" });
		jQuery( 'body' ).append( frame1 );
		var frameDoc = frame1[0].contentWindow ? frame1[0].contentWindow : frame1[0].contentDocument.document ? frame1[0].contentDocument.document : frame1[0].contentDocument;
		frameDoc.document.open();
		// Create a new HTML document.
		frameDoc.document.write( '<html><head><title>Promocode</title>' );
		frameDoc.document.write( '</head><body>' );
		// Append the DIV contents.
		frameDoc.document.write( contents );
		frameDoc.document.write( '</body></html>' );
		frameDoc.document.close();
		setTimeout( function () {
			window.frames[ 'frame1' ].focus();
			window.frames[ 'frame1' ].print();
			frame1.remove();
		}, 500 );
	});
});
